Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Added buildr-as3 executable

  • Loading branch information...
commit af7122b3e67fb2545468924f74fce99515043965 1 parent 696c569
Devboy authored
Showing with 40 additions and 5 deletions.
  1. +27 −0 bin/buildr-as3
  2. +13 −5 buildr-as3.gemspec
View
27 bin/buildr-as3
@@ -0,0 +1,27 @@
+#!/usr/bin/env ruby
+#
+# Copyright (C) 2011 by Dominic Graefen / http://devboy.org
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+#
+
+require 'rubygems'
+require 'buildr'
+require 'buildr/as3'
+Buildr.application.run
View
18 buildr-as3.gemspec
@@ -9,9 +9,11 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Dominic Graefen"]
- s.date = %q{2011-02-23}
+ s.date = %q{2011-04-13}
+ s.default_executable = %q{buildr-as3}
s.description = %q{Build like you code - now supporting ActionScript 3 & Flex}
s.email = %q{dominic @nospam@ devboy.org}
+ s.executables = ["buildr-as3"]
s.extra_rdoc_files = [
"LICENSE.txt",
"README.rdoc"
@@ -23,11 +25,17 @@ Gem::Specification.new do |s|
"README.rdoc",
"Rakefile",
"VERSION",
+ "bin/buildr-as3",
"buildr-as3.gemspec",
"lib/buildr/as3.rb",
"lib/buildr/as3/alchemy.rb",
"lib/buildr/as3/apparat.rb",
"lib/buildr/as3/compiler.rb",
+ "lib/buildr/as3/compiler/aircompc.rb",
+ "lib/buildr/as3/compiler/airmxmlc.rb",
+ "lib/buildr/as3/compiler/base.rb",
+ "lib/buildr/as3/compiler/compc.rb",
+ "lib/buildr/as3/compiler/mxmlc.rb",
"lib/buildr/as3/doc.rb",
"lib/buildr/as3/flexsdk.rb",
"lib/buildr/as3/ide/fdt4.rb",
@@ -39,7 +47,7 @@ Gem::Specification.new do |s|
s.homepage = %q{http://github.com/devboy/buildr_as3}
s.licenses = ["MIT"]
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.5.0}
+ s.rubygems_version = %q{1.6.2}
s.summary = %q{Buildr extension to allow ActionScript3/Flex development.}
s.test_files = [
"test/helper.rb",
@@ -54,20 +62,20 @@ Gem::Specification.new do |s|
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_development_dependency(%q<rcov>, [">= 0"])
- s.add_runtime_dependency(%q<buildr>, [">= 1.4.4"])
+ s.add_runtime_dependency(%q<buildr>, [">= 1.4.5"])
else
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rcov>, [">= 0"])
- s.add_dependency(%q<buildr>, [">= 1.4.4"])
+ s.add_dependency(%q<buildr>, [">= 1.4.5"])
end
else
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rcov>, [">= 0"])
- s.add_dependency(%q<buildr>, [">= 1.4.4"])
+ s.add_dependency(%q<buildr>, [">= 1.4.5"])
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.